Bug 1285949 - team.vlan ip address on team.vlan interface disappear sometimes
team.vlan ip address on team.vlan interface disappear sometimes
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rashid Khan
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 22:18 EST by Jiaochuandong
Modified: 2016-04-28 20:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-27 04:43:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiaochuandong 2015-11-26 22:18:32 EST
Description of problem:
on roundrobin mode team.vlan,ping from client to server after sleeping about 40 seconds.Ipv6 address of team0.3 disappear.and other mode of team.vlan also exist same problem.
job link:
https://beaker.engineering.redhat.com/jobs/1157328
&
https://beaker.engineering.redhat.com/jobs/1157543

Version-Release number of selected component (if applicable):
RHEL-7.2-20151030.0

How reproducible:
sometimes

Steps to Reproduce:
on client:
      sw-3750-2#show etherchannel summary
1.switch configuration:
     Group  Port-channel  Protocol    Ports
------+-------------+-----------+-----------------------------------------------
47     Po47(SU)         -        Gi1/0/19(P) Gi1/0/20(P) 
2.team configuration:
     #nmcli con add type team ifname team0 con-name team0 autoconnect no config '{"runner":{"name":"roundrobin"}}'
     #ip link set ens2f0 mtu 1500
     #nmcli con add type team-slave ifname ens2f0 master team0
     #nmcli con up team-slave-ens2f0
     #ip link set ens2f1 mtu 1500
     #nmcli con add type team-slave ifname ens2f1 master team0
     #nmcli con up team-slave-ens2f1
     #nmcli con up team0
     #ip link set team0 mtu 1500
3.vlan configuration
     #nmcli con add type vlan con-name team0.3 dev team0 id 3 mtu 1500 ip4 192.168.168.16/24 ip6 2168::16/64
     #nmcli con up team0.3
4.ping from client to server
     #ping -c 10 -I team0.3 192.168.168.18 && ping6 -c 10 -I team0.3 2168::18

On server:
    similar to client.

 
Actual results:
on client:
#ip add sh team0.3 ;date
     15: team0.3@team0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP 
    link/ether 00:10:18:4d:08:0c brd ff:ff:ff:ff:ff:ff
    inet 192.168.168.16/24 brd 192.168.168.255 scope global team0.3
       valid_lft forever preferred_lft forever
    inet6 2168::16/64 scope global 
       valid_lft forever preferred_lft forever
    inet6 fe80::210:18ff:fe4d:80c/64 scope link 
       valid_lft forever preferred_lft forever
2015年 11月 27日 星期五 10:19:36 CST
#ip add sh team0.3 ;date
     17: team0.3@team0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP 
    link/ether 00:10:18:4d:08:0c brd ff:ff:ff:ff:ff:ff
    inet 192.168.168.16/24 brd 192.168.168.255 scope global team0.3
       valid_lft forever preferred_lft forever
2015年 11月 27日 星期五 10:20:03 CST

At frist,I can ping from client to server, then it failed
#ping -c 10 -I team0.3 192.168.168.18
PING 192.168.168.18 (192.168.168.18) from 192.168.168.16 team0.3: 56(84) bytes of data.
ping: sendmsg: No such device
ping: sendmsg: No such device
ping: sendmsg: No such device
ping: sendmsg: No such device
ping: sendmsg: No such device


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.